Midipal firmware 1.2 wanted

Hi, i am using and loving midipal for many years … just tried 1.4 for the polysequencer but i am too stupid to find a way back to firmware 1.2 / 1.3 ?! (have quite some midigear and love all the simple apps for troubleshooting / testing / etc - so i would love to be able to switch between firmwares ).
or is that straight impossible ? any help more than welcome …
thanks
matthias